﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using SixLabors.ImageSharp.PixelFormats;
using SixLabors.Primitives;

namespace ImagEncode.Services {
    public class BinaryCodePictureGeneratorOptions<TPixel> where TPixel : struct, IPixel<TPixel> {

        public TPixel ForegroundColor { get; set; }

        public TPixel BackgroundColor { get; set; }

        public int VerticalSpacing { get; set; }

        public Size ModuleSize { get; set; } = new Size(1, 1);

    }
}
