﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using SixLabors.ImageSharp;
using SixLabors.ImageSharp.PixelFormats;
using SixLabors.Primitives;

namespace ImagEncode.Services {
    public interface ICodePictureGenerator<TPixel> where TPixel : struct, IPixel<TPixel> {

        Image<TPixel> CreateImage(string text, Size size);

    }
}
